Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 226735 - kde-misc/komics: patch (komics-1.4-Makefiles.patch) changes both autotools source and result
Summary: kde-misc/komics: patch (komics-1.4-Makefiles.patch) changes both autotools so...
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords:
Depends on: 250217
Blocks: bad-autotools
  Show dependency tree
 
Reported: 2008-06-14 16:27 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2009-02-21 04:25 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2008-06-14 16:27:24 UTC
The patch in summary is touching both Makefile.in and Makefile.am, probably to avoid autotools rebuild.

This treatment is usually reserved for a few selected system packages that cannot have their autotool scripts rebuilt.

This _could_ cause maintainermode-driven rebuild (see http://blog.flameeyes.eu/articles/2008/06/13/maintaner-mode ), which is something we should be avoiding as much as possible.

Please just patch Makefile.am and/or configure.in/.ac and rebuild autotools, unless you have very good reasons not to.
Comment 1 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-02-21 04:25:46 UTC
gone, wontfix.